Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.encoding
Interface XMLSerializer

public interface XMLSerializer

Provides a facility for exporting ALE API complex types as XML. NOTE: The implementations for this interface are guaranteed to be thread-safe.

Method Summary
`java.lang.String` | `serialize(ECReports ecReports, boolean addReadabilityWhitespace)` Serializes the specified `ECReports` as XML, and returns the result as a string.
`void` | `serialize(ECReports ecReports, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `ECReports` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(ECSpec ecSpec, boolean addReadabilityWhitespace)` Serializes the specified `ECSpec` as XML, and returns the result as a string.
`java.lang.String` | `serialize(ECSpecInfo ecSpecInfo, boolean addReadabilityWhitespace)` Serializes the specified `ECSpecInfo` as XML, and returns the result as a string.
`void` | `serialize(ECSpecInfo ecSpecInfo, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `ECSpecInfo` as XML, writing the result to the specified `Writer`.
`void` | `serialize(ECSpec ecSpec, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `ECSpec` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(ECSubscriptionControls ecSubscriptionControls, boolean addReadabilityWhitespace)` Serializes the specified `ECSubscriptionControls` as XML, and returns the result as a string.
`void` | `serialize(ECSubscriptionControls ecSubscriptionControls, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `ECSubscriptionControls` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(ECSubscriptionInfo ecSubscriptionInfo, boolean addReadabilityWhitespace)` Serializes the specified `ECSubscriptionInfo` as XML, and returns the result as a string.
`void` | `serialize(ECSubscriptionInfo ecSubscriptionInfo, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `ECSubscriptionInfo` as XML, writing the result to the specified `Writer`.

Method Detail

### serialize

    public java.lang.String serialize(ECSpec ecSpec,
                                      boolean addReadabilityWhitespace)
                               throws XMLSerializerException

  Serializes the specified `ECSpec` as XML, and returns the result as a string.

  Parameters:
    `ecSpec` - The `ECSpec` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `ECSpec`.
  Throws:
    `XMLSerializerException` - if an error occurred while serializing the specified `ECSpec`.

### serialize

    public void serialize(ECSpec ecSpec,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          XMLSerializerException

  Serializes the specified `ECSpec` as XML, writing the result to the specified `Writer`.

  Parameters:
    `ecSpec` - The `ECSpec` object to serialize.
    `writer` - The writer that will receive the serialized `ECSpec`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified ECSpec object.
    `XMLSerializerException` - An error occurred while serializing the specified ECSpec object.

### serialize

    public java.lang.String serialize(ECSpecInfo ecSpecInfo,
                                      boolean addReadabilityWhitespace)
                               throws XMLSerializerException

  Serializes the specified `ECSpecInfo` as XML, and returns the result as a string.

  Parameters:
    `ecSpecInfo` - The `ECSpecInfo` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `ECSpecInfo`.
  Throws:
    `XMLSerializerException` - if an error occurred while serializing the specified `ECSpecInfo`.

### serialize

    public void serialize(ECSpecInfo ecSpecInfo,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          XMLSerializerException

  Serializes the specified `ECSpecInfo` as XML, writing the result to the specified `Writer`.

  Parameters:
    `ecSpecInfo` - The `ECSpecInfo` object to serialize.
    `writer` - The writer that will receive the serialized `ECSpecInfo`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified ECSpecInfo object.
    `XMLSerializerException` - An error occurred while serializing the specified ECSpecInfo object.

### serialize

    public java.lang.String serialize(ECReports ecReports,
                                      boolean addReadabilityWhitespace)
                               throws XMLSerializerException

  Serializes the specified `ECReports` as XML, and returns the result as a string.

  Parameters:
    `ecReports` - The `ECReports` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `ECReports`.
  Throws:
    `XMLSerializerException` - if an error occurred while serializing the specified `ECReports`.

### serialize

    public void serialize(ECReports ecReports,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          XMLSerializerException

  Serializes the specified `ECReports` as XML, writing the result to the specified `Writer`.

  Parameters:
    `ecReports` - The `ECReports` object to serialize.
    `writer` - The writer that will receive the serialized `ECReports`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified ECReports object.
    `XMLSerializerException` - An error occurred while serializing the specified ECReports object.

### serialize

    public java.lang.String serialize(ECSubscriptionControls ecSubscriptionControls,
                                      boolean addReadabilityWhitespace)
                               throws XMLSerializerException

  Serializes the specified `ECSubscriptionControls` as XML, and returns the result as a string.

  Parameters:
    `ecSubscriptionControls` - The `ECSubscriptionControls` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `ECSubscriptionControls` object.
  Throws:
    `XMLSerializerException` - if an error occurred while serializing the specified `ECSubscriptionControls`.

### serialize

    public void serialize(ECSubscriptionControls ecSubscriptionControls,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          XMLSerializerException

  Serializes the specified `ECSubscriptionControls` as XML, writing the result to the specified `Writer`.

  Parameters:
    `ecSubscriptionControls` - The `ECSubscriptionControls` object to serialize.
    `writer` - The writer that will receive the serialized `ECSubscriptionControls`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `ECSubscriptionControls` object.
  Throws:
    `XMLSerializerException` - if an error occurred while serializing the specified `ECSubscriptionControls`.
    `java.io.IOException`

### serialize

    public java.lang.String serialize(ECSubscriptionInfo ecSubscriptionInfo,
                                      boolean addReadabilityWhitespace)
                               throws XMLSerializerException

  Serializes the specified `ECSubscriptionInfo` as XML, and returns the result as a string.

  Parameters:
    `ecSubscriptionInfo` - The `ECSubscriptionInfo` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `ECSubscriptionInfo` object.
  Throws:
    `XMLSerializerException` - if an error occurred while serializing the specified `ECSubscriptionInfo`.

### serialize

    public void serialize(ECSubscriptionInfo ecSubscriptionInfo,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          XMLSerializerException

  Serializes the specified `ECSubscriptionInfo` as XML, writing the result to the specified `Writer`.

  Parameters:
    `ecSubscriptionInfo` - The `ECSubscriptionInfo` object to serialize.
    `writer` - The writer that will receive the serialized `ECSubscriptionInfo`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `ECSubscriptionInfo` object.
  Throws:
    `XMLSerializerException` - if an error occurred while serializing the specified `ECSubscriptionInfo`.
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD